package com.jasamedika.medifirst2000.dto;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class PayRollUangMakanDto {
	private String nipPns;
	private String pendidikan;
	private String noGaji;
	private Integer pendidikanId;
	private Integer jabatanId;
	private Integer detailKategoriPegawaiId;
    private Date tglMasuk;
    private Date tglHistori;
    private String detailKategoriPegawai;
    private String kategoriPegawai;
    private String namaLengkap;
    private String masaKerja;
    private String namaJabatan;
    private String statusPegawai;
    private String komponenGaji;
    private Integer golonganPegawaiId;
    private String golonganPegawai;
    private Integer jenisGajiId;
    private Integer pegawaiId;
    private String periode;
    private Double jumlahHadir;
    private Double tarif;
    private Double jumlahKotor;
    private Double jumlahBersih;
    private Double pph;
	private Integer isVerifikasi;
	private Integer komponenHargaUangMakanId;
	private Integer komponenHargaHarianLepasId;
	private Integer komponenHargaPajakId;
	private Integer komponenHargaTunjanganLayananId;
	private Integer komponenHargaAsuransiPerusahaanId;
	private Integer komponenHargaAsuransiPegawaiId;
	private Double premiDiBayarPegawai;
	private Double premiDiBayarPerusahaan;
	private Double jumlahPremiDiBayar;	
	private Double jumlahUang; //uang harian lepas
	private Double uangMakan; //uang makan harian lepas

	public String getNipPns() {
		return nipPns;
	}
	public void setNipPns(String nipPns) {
		this.nipPns = nipPns;
	}
	public String getPendidikan() {
		return pendidikan;
	}
	public void setPendidikan(String pendidikan) {
		this.pendidikan = pendidikan;
	}
	public Double getJumlahHadir() {
		return jumlahHadir;
	}
	public void setJumlahHadir(Double jumlahHadir) {
		this.jumlahHadir = jumlahHadir;
	}
	public Double getTarif() {
		return tarif;
	}
	public void setTarif(Double tarif) {
		this.tarif = tarif;
	}
	public Double getJumlahKotor() {
		return jumlahKotor;
	}
	public void setJumlahKotor(Double jumlahKotor) {
		this.jumlahKotor = jumlahKotor;
	}
	public Double getJumlahBersih() {
		return jumlahBersih;
	}
	public void setJumlahBersih(Double jumlahBersih) {
		this.jumlahBersih = jumlahBersih;
	}
	public Integer getIsVerifikasi() {
		return isVerifikasi;
	}
	public void setIsVerifikasi(Integer isVerifikasi) {
		this.isVerifikasi = isVerifikasi;
	}
	public String getNoGaji() {
		return noGaji;
	}
	public void setNoGaji(String noGaji) {
		this.noGaji = noGaji;
	}
	public Integer getPendidikanId() {
		return pendidikanId;
	}
	public void setPendidikanId(Integer pendidikanId) {
		this.pendidikanId = pendidikanId;
	}
	public Integer getJabatanId() {
		return jabatanId;
	}
	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}
	public Integer getDetailKategoriPegawaiId() {
		return detailKategoriPegawaiId;
	}
	public void setDetailKategoriPegawaiId(Integer detailKategoriPegawaiId) {
		this.detailKategoriPegawaiId = detailKategoriPegawaiId;
	}
	public Date getTglMasuk() {
		return tglMasuk;
	}
	public void setTglMasuk(Date tglMasuk) {
		this.tglMasuk = tglMasuk;
	}
	public String getDetailKategoriPegawai() {
		return detailKategoriPegawai;
	}
	public void setDetailKategoriPegawai(String detailKategoriPegawai) {
		this.detailKategoriPegawai = detailKategoriPegawai;
	}
	public String getKategoriPegawai() {
		return kategoriPegawai;
	}
	public void setKategoriPegawai(String kategoriPegawai) {
		this.kategoriPegawai = kategoriPegawai;
	}
	public String getNamaLengkap() {
		return namaLengkap;
	}
	public void setNamaLengkap(String namaLengkap) {
		this.namaLengkap = namaLengkap;
	}
	public String getMasaKerja() {
		return masaKerja;
	}
	public void setMasaKerja(String masaKerja) {
		this.masaKerja = masaKerja;
	}
	public String getNamaJabatan() {
		return namaJabatan;
	}
	public void setNamaJabatan(String namaJabatan) {
		this.namaJabatan = namaJabatan;
	}
	public String getStatusPegawai() {
		return statusPegawai;
	}
	public void setStatusPegawai(String statusPegawai) {
		this.statusPegawai = statusPegawai;
	}
	public String getKomponenGaji() {
		return komponenGaji;
	}
	public void setKomponenGaji(String komponenGaji) {
		this.komponenGaji = komponenGaji;
	}
	public Integer getGolonganPegawaiId() {
		return golonganPegawaiId;
	}
	public void setGolonganPegawaiId(Integer golonganPegawaiId) {
		this.golonganPegawaiId = golonganPegawaiId;
	}
	public String getGolonganPegawai() {
		return golonganPegawai;
	}
	public void setGolonganPegawai(String golonganPegawai) {
		this.golonganPegawai = golonganPegawai;
	}
	public Integer getJenisGajiId() {
		return jenisGajiId;
	}
	public void setJenisGajiId(Integer jenisGajiId) {
		this.jenisGajiId = jenisGajiId;
	}
	public Integer getPegawaiId() {
		return pegawaiId;
	}
	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}
	public String getPeriode() {
		return periode;
	}
	public void setPeriode(String periode) {
		this.periode = periode;
	}
	public Integer getKomponenHargaPajakId() {
		return komponenHargaPajakId;
	}
	public void setKomponenHargaPajakId(Integer komponenHargaPajakId) {
		this.komponenHargaPajakId = komponenHargaPajakId;
	}
	public Double getPph() {
		return pph;
	}
	public void setPph(Double pph) {
		this.pph = pph;
	}
	public Integer getKomponenHargaUangMakanId() {
		return komponenHargaUangMakanId;
	}
	public void setKomponenHargaUangMakanId(Integer komponenHargaUangMakanId) {
		this.komponenHargaUangMakanId = komponenHargaUangMakanId;
	}
	public Integer getKomponenHargaHarianLepasId() {
		return komponenHargaHarianLepasId;
	}
	public void setKomponenHargaHarianLepasId(Integer komponenHargaHarianLepasId) {
		this.komponenHargaHarianLepasId = komponenHargaHarianLepasId;
	}
	public Integer getKomponenHargaTunjanganLayananId() {
		return komponenHargaTunjanganLayananId;
	}
	public void setKomponenHargaTunjanganLayananId(Integer komponenHargaTunjanganLayananId) {
		this.komponenHargaTunjanganLayananId = komponenHargaTunjanganLayananId;
	}
	public Date getTglHistori() {
		return tglHistori;
	}
	public void setTglHistori(Date tglHistori) {
		this.tglHistori = tglHistori;
	}
	public Integer getKomponenHargaAsuransiPerusahaanId() {
		return komponenHargaAsuransiPerusahaanId;
	}
	public void setKomponenHargaAsuransiPerusahaanId(Integer komponenHargaAsuransiPerusahaanId) {
		this.komponenHargaAsuransiPerusahaanId = komponenHargaAsuransiPerusahaanId;
	}
	public Integer getKomponenHargaAsuransiPegawaiId() {
		return komponenHargaAsuransiPegawaiId;
	}
	public void setKomponenHargaAsuransiPegawaiId(Integer komponenHargaAsuransiPegawaiId) {
		this.komponenHargaAsuransiPegawaiId = komponenHargaAsuransiPegawaiId;
	}
	public Double getPremiDiBayarPegawai() {
		return premiDiBayarPegawai;
	}
	public void setPremiDiBayarPegawai(Double premiDiBayarPegawai) {
		this.premiDiBayarPegawai = premiDiBayarPegawai;
	}
	public Double getPremiDiBayarPerusahaan() {
		return premiDiBayarPerusahaan;
	}
	public void setPremiDiBayarPerusahaan(Double premiDiBayarPerusahaan) {
		this.premiDiBayarPerusahaan = premiDiBayarPerusahaan;
	}
	public Double getJumlahPremiDiBayar() {
		return jumlahPremiDiBayar;
	}
	public void setJumlahPremiDiBayar(Double jumlahPremiDiBayar) {
		this.jumlahPremiDiBayar = jumlahPremiDiBayar;
	}
	public Double getJumlahUang() {
		return jumlahUang;
	}
	public void setJumlahUang(Double jumlahUang) {
		this.jumlahUang = jumlahUang;
	}
	public Double getUangMakan() {
		return uangMakan;
	}
	public void setUangMakan(Double uangMakan) {
		this.uangMakan = uangMakan;
	}
 
}
